#include <iostream>
#include <string>
#include <vector>

using namespace std;

int main(){

    string tekst, rec;
    char slovo, menjanje;
    int br=0, min;
    vector<int> brojac {};
    vector<char> rec2 {};
    getline(cin, tekst);
    cin>>rec;

    for(int i=0; i<rec.length(); i++){
        br=0;
        for(int j = 0; j<tekst.length(); j++){
            if(tekst[j]==rec[i]){
                br++;
            }
        }
        brojac.push_back(br);
    }
    min=brojac[0];
    menjanje=rec[0];
    for(int x=0; x<brojac.size(); x++){
        if(min>brojac[x]){
            min=brojac[x];
            menjanje=rec[x];
        }
    }
    cout<<min<<endl;
    for(int h=0; h<tekst.length(); h++){
        if(tekst[h]==menjanje)
            rec2.push_back('*');
        else
            rec2.push_back(tekst[h]);
    }
    for(int d=0; d<tekst.length(); d++){
        cout<<rec2[d];
    }
    
    return 0;
}